<!DOCTYPE html>
<html lang="es">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Ejercicio HTML 3</title>
</head>

<body>
  <form action="''" method="get">
    <fieldset>
      <legend>Datos impresonales</legend>
      <label for="nombre">Nombre</label>
      <input type="text" id="nombre" name="nombre" required autofocus>
      <label for="email">Correo electrónico</label>
      <input type="email" id="email" name="email" required>
      <label for="url">URL</label>
      <input type="url" name="url" id="url" placeholder="Escribe tu URL personal">
    </fieldset>
    <fieldset>
      <legend>Numerajos</legend>
      <label for="fecha">Fecha</label>
      <input type="date" name="fecha" id="fecha">
      <label for="tiempo">Tiempo</label>
      <input type="time" name="tiempo" id="tiempo">
      <label for="fecha_hora">Fecha y hora</label>
      <input type="datetime-local" name="fecha_hora" id="fecha_hora">
      <label for="mes">Mes</label>
      <input type="month" name="mes" id="mes">
      <label for="semana">Semana</label>
      <input type="week" name="semana" id="semana">
      <label for="numero">Número</label>
      <input type="number" name="numero" id="numero" min="-10" max="10">
    </fieldset>
    <fieldset>
      <legend>Otros</legend>
      <label for="telefono">Teléfono</label>
      <input type="tel" name="telefono" id="telefono" value="612345678" disabled>
      <label for="termino_busqueda">Término de búsqueda</label>
      <input type="search" name="termino_busqueda" id="termino_busqueda" disabled>
      <label for="color">Color</label>
      <input type="color" name="color" id="color">
    </fieldset>
    <input type="submit">
  </form>
</body>

</html>